> ## Documentation Index
> Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Exchange Rate

> An integrator can use this endpoint to get the exchange rate between two currencies

An integrator can use this endpoint to get the exchange rate between two currencies.


## OpenAPI

````yaml GET /api/v3/rate/{from}/{to}
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://preview.kotanipay.com
security: []
tags: []
paths:
  /api/v3/rate/{from}/{to}:
    get:
      tags:
        - RATES
      summary: Get exchange rate
      description: >-
        An integrator can use this endpoint to get the exchange rate between two
        currencies
      operationId: RateController_getRates_api/v3
      parameters:
        - name: from
          required: true
          in: path
          schema:
            type: string
        - name: to
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Available exchange rate.
                  data:
                    $ref: '#/components/schemas/RateResponseDto'
                    type: object
        '401':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Invalid API Key
                  data:
                    type: object
                    example: {}
      security:
        - JWT: []
components:
  schemas:
    RateResponseDto:
      type: object
      properties:
        from:
          type: string
          description: From currency
          example: USD
        to:
          type: string
          description: To currency
          example: EUR
        value:
          type: string
          description: Rate value
          example: '0.85'
      required:
        - from
        - to
        - value
  securitySchemes:
    JWT:
      scheme: bearer
      bearerFormat: JWT
      type: http

````